/*
 *         Copyright (C) 2008 Fadi Al-katout (cutout) <cutout33@gmail.com>
 * 
 *  Real Media Converter is free software; you can redistribute it and/or modify   
 * it under the terms of the GNU General  Public Licence as published by the 
 * Free Software Foundation;  either version 2 of the Licence, 
 * or(at your option) any later version.
 * 
 * Real Media Converter is distributed in  the hope that it will be useful,
 * but WITHOUT ANY WARRANTY;  without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A  PARTICULAR PURPOSE. 
 * See the GNU General  Public Licence for more details.
 * 
 * You should have received a copy of  the GNU General Public Licence
 * along with Real Media Converter; 
 * if not, write to  the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor,  Boston, MA  02110-1301, USA
 */

package net.dudesblog.rmc.core.converter;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import net.dudesblog.rmc.gui.ItemPanel;

public class ErrorConsumer extends InputStreamConsumer {

	public ErrorConsumer(InputStream in, ItemPanel pItem) {
		super(in, pItem);
	}

	public void run() {
		BufferedReader br = new BufferedReader(new InputStreamReader(mIn));
		String line;
		int x = 0;
		try {
			while ((line = br.readLine()) != null) {
				// System.out.println("\n" + line);
				if (isMp3) {
					x = calculateLameProgress(line);
					mItem.setProgress(x);
				}

				try {
					if (line.substring(0, 14)
							.equalsIgnoreCase("File not found")
							|| line.substring(0, 14).equalsIgnoreCase(
									"Could not find")) {
						mItem.errorAction();
					}
				} catch (Exception e) {
				}
			}
		} catch (IOException exc) {
			System.out.println("Exception: " + exc + ". Exting");
			exc.printStackTrace();
		}
	}
}
